Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.delegation.taxonomy
Class SimpleTaxonomyBuilder

    java.lang.Object
      com.bea.p13n.delegation.taxonomy.SimpleTaxonomyBuilder

All Implemented Interfaces
  TaxonomyBuilder, Serializable

Direct Known Subclasses:
  AdServiceTaxonomy, AtnHierarchyServiceTaxonomy, AtnSecurityProviderServiceTaxonomy, BehaviorTrackingServiceTaxonomy, CampaignServiceTaxonomy, CampaignsRootTaxonomy, ContentSelectorsRootTaxonomy, ContentWorkSpaceRootTaxonomy, CredentialVaultTaxonomy, DARootTaxonomy, EventServiceTaxonomy, GroupRootTaxonomy, ImportToolTaxonomy, LibraryBooksTaxonomy, LibraryLayoutsTaxonomy, LibraryLookAndFeelsTaxonomy, LibraryMenusTaxonomy, LibraryPagesTaxonomy, LibraryPortletCategoriesTaxonomy, LibraryPortletsTaxonomy, LibraryRemoteProducersTaxonomy, LibraryShellsTaxonomy, LibraryTemplatesTaxonomy, LibraryThemesTaxonomy, MailServiceTaxonomy, MaintenanceModeTaxonomy, P13nCacheConfigTaxonomy, P13nConfigTaxonomy, P13nProfileConfigTaxonomy, P13nSecurityConfigTaxonomy, PlaceholdersRootTaxonomy, PortalResourcesTaxonomy, PortalRootTaxonomy, RoleSecurityProviderServiceTaxonomy, ScenarioServiceTaxonomy, SecurityProvidersRootTaxonomy, SegmentsRootTaxonomy, ServiceAdminRootTaxonomy, UserRootTaxonomy, UserTaxonomyBuilder, VirtualContentRepositoryRootTaxonomy, VisitorRolesRootTaxonomy, WpsConfigTaxonomy, WsrpConfigTaxonomy, WsrpConsumerSecurityTaxonomy, WsrpProducerPortletRegistryTaxonomy

    public abstract class SimpleTaxonomyBuilder

extends Object
implements TaxonomyBuilder

Basic `TaxonomyBuilder` abstract base class that can be subclassed by any `TaxonomyBuilder` implementations that do not have a parent in their taxonomy hierarchy.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.delegation.taxonomy.TaxonomyBuilder
`TAXONOMY_DELIMITER`

Constructor Summary
`SimpleTaxonomyBuilder()`

Method Summary
`int` | `getTaxonomyLevel()` Returns the taxonomy depth for a given taxonomy
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.delegation.taxonomy.TaxonomyBuilder
`buildTaxonomy`

Constructor Detail

### SimpleTaxonomyBuilder

    public SimpleTaxonomyBuilder()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTaxonomyLevel

    public int getTaxonomyLevel()

  Description copied from interface: `TaxonomyBuilder`
  Returns the taxonomy depth for a given taxonomy

  Specified by:
    `getTaxonomyLevel` in interface `TaxonomyBuilder`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.